<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>SessionManager (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SessionManager (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/session/SessionKey.html" title="interface in com.sk89q.worldedit.session"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/session/SessionManager.html" target="_top">Frames</a></li>
<li><a href="SessionManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.session</div>
<h2 title="Class SessionManager" class="title">Class SessionManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.session.SessionManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SessionManager</span>
extends java.lang.Object</pre>
<div class="block">Session manager for WorldEdit.

 <p>Get a reference to one from <a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit"><code>WorldEdit</code></a>.</p>

 <p>While this class is thread-safe, the returned session may not be.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#EXPIRATION_GRACE">EXPIRATION_GRACE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#SessionManager-com.sk89q.worldedit.WorldEdit-">SessionManager</a></span>(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</code>
<div class="block">Create a new session manager.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#clear--">clear</a></span>()</code>
<div class="block">Remove all sessions.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#contains-com.sk89q.worldedit.session.SessionOwner-">contains</a></span>(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</code>
<div class="block">Get whether a session exists for the given owner.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#findByName-java.lang.String-">findByName</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Find a session by its name specified by <a href="../../../../com/sk89q/worldedit/session/SessionKey.html#getName--"><code>SessionKey.getName()</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#get-com.sk89q.worldedit.session.SessionOwner-">get</a></span>(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</code>
<div class="block">Get the session for an owner and create one if one doesn't exist.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#getIfPresent-com.sk89q.worldedit.session.SessionOwner-">getIfPresent</a></span>(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</code>
<div class="block">Gets the session for an owner and return it if it exists, otherwise
 return <code>null</code>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected java.util.UUID</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#getKey-com.sk89q.worldedit.session.SessionKey-">getKey</a></span>(<a href="../../../../com/sk89q/worldedit/session/SessionKey.html" title="interface in com.sk89q.worldedit.session">SessionKey</a>&nbsp;key)</code>
<div class="block">Get the key to use in the map for a <code>SessionKey</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected java.util.UUID</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#getKey-com.sk89q.worldedit.session.SessionOwner-">getKey</a></span>(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</code>
<div class="block">Get the key to use in the map for an owner.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#onConfigurationLoad-com.sk89q.worldedit.event.platform.ConfigurationLoadEvent-">onConfigurationLoad</a></span>(<a href="../../../../com/sk89q/worldedit/event/platform/ConfigurationLoadEvent.html" title="class in com.sk89q.worldedit.event.platform">ConfigurationLoadEvent</a>&nbsp;event)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#remove-com.sk89q.worldedit.session.SessionOwner-">remove</a></span>(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</code>
<div class="block">Remove the session for the given owner if one exists.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/session/SessionManager.html#unload--">unload</a></span>()</code>
<div class="block">Called to unload this session manager.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="EXPIRATION_GRACE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EXPIRATION_GRACE</h4>
<pre>public static&nbsp;int EXPIRATION_GRACE</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SessionManager-com.sk89q.worldedit.WorldEdit-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SessionManager</h4>
<pre>public&nbsp;SessionManager(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</pre>
<div class="block">Create a new session manager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>worldEdit</code> - a WorldEdit instance</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="contains-com.sk89q.worldedit.session.SessionOwner-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;boolean&nbsp;contains(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</pre>
<div class="block">Get whether a session exists for the given owner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>owner</code> - the owner</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a session exists</dd>
</dl>
</li>
</ul>
<a name="findByName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByName</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;findByName(java.lang.String&nbsp;name)</pre>
<div class="block">Find a session by its name specified by <a href="../../../../com/sk89q/worldedit/session/SessionKey.html#getName--"><code>SessionKey.getName()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the session, if found, otherwise <code>null</code></dd>
</dl>
</li>
</ul>
<a name="getIfPresent-com.sk89q.worldedit.session.SessionOwner-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIfPresent</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;getIfPresent(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</pre>
<div class="block">Gets the session for an owner and return it if it exists, otherwise
 return <code>null</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>owner</code> - the owner</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the session for the owner, if it exists</dd>
</dl>
</li>
</ul>
<a name="get-com.sk89q.worldedit.session.SessionOwner-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;get(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</pre>
<div class="block">Get the session for an owner and create one if one doesn't exist.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>owner</code> - the owner</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a session</dd>
</dl>
</li>
</ul>
<a name="getKey-com.sk89q.worldedit.session.SessionOwner-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKey</h4>
<pre>protected&nbsp;java.util.UUID&nbsp;getKey(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</pre>
<div class="block">Get the key to use in the map for an owner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>owner</code> - the owner</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the key object</dd>
</dl>
</li>
</ul>
<a name="getKey-com.sk89q.worldedit.session.SessionKey-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKey</h4>
<pre>protected&nbsp;java.util.UUID&nbsp;getKey(<a href="../../../../com/sk89q/worldedit/session/SessionKey.html" title="interface in com.sk89q.worldedit.session">SessionKey</a>&nbsp;key)</pre>
<div class="block">Get the key to use in the map for a <code>SessionKey</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the session key object</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the key object</dd>
</dl>
</li>
</ul>
<a name="remove-com.sk89q.worldedit.session.SessionOwner-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;void&nbsp;remove(<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>&nbsp;owner)</pre>
<div class="block">Remove the session for the given owner if one exists.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>owner</code> - the owner</dd>
</dl>
</li>
</ul>
<a name="unload--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unload</h4>
<pre>public&nbsp;void&nbsp;unload()</pre>
<div class="block">Called to unload this session manager.</div>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<div class="block">Remove all sessions.</div>
</li>
</ul>
<a name="onConfigurationLoad-com.sk89q.worldedit.event.platform.ConfigurationLoadEvent-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onConfigurationLoad</h4>
<pre>public&nbsp;void&nbsp;onConfigurationLoad(<a href="../../../../com/sk89q/worldedit/event/platform/ConfigurationLoadEvent.html" title="class in com.sk89q.worldedit.event.platform">ConfigurationLoadEvent</a>&nbsp;event)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/session/SessionKey.html" title="interface in com.sk89q.worldedit.session"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/session/SessionManager.html" target="_top">Frames</a></li>
<li><a href="SessionManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
